package hx_swap_oob

import (
	"testing"
)

func TestHxSwapOob(t *testing.T) {
	swap := NewHxSwapOob()
	if swap == nil {
		t.Fatalf("swap==nil")
	}
	if tag := swap.Get(); tag != "" {
		t.Fatalf("tag not empty")
	}
	swap.Set("true")
	if tag := swap.Get(); tag != "true" {
		t.Fatalf("tag bad")
	}
	if str := swap.String(); str != `hx-swap-oob="true"` {
		t.Fatalf("str is bad")
	}
}
